local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:GetModule(mPlugin);

function mMT:SetupAddons()
 	-- AddOnSkins
	if IsAddOnLoaded('AddOnSkins') then
		mMT:LoadASProfile()
		E:Print(format(L["%s profile has been set."], "> |cff1784d1AddOnSkins|r"))
	end
	
	-- LocPlus
	if IsAddOnLoaded('ElvUI_LocPlus') then
		mMT:LoadLocPlusProfile()
		E:Print(format(L["%s profile has been set."], "> |cff1784d1ElvUI|r Location Plus"))
	end
	
	-- Deadly Boss Mods
	if IsAddOnLoaded('DBM-Core') then
		mMT:LoadDBMProfile()
		E:Print(format(L["%s profile has been set."], "> |cffffd200Deadly Boss Mods|r"))
	end
	
	-- Skada
	if IsAddOnLoaded('Skada') then
		mMT:LoadSkadaProfile()
		E:Print(format(L["%s profile has been set."], "> Skada"))
	end
	
	-- Floating Combat Text
	if IsAddOnLoaded('ElvUI_FCT') then
		mMT:LoadElvUIFCTProfile()
		E:Print(format(L["%s profile has been set."], "> |cff1784d1ElvUI|r |cFFdd2244Floating Combat Text|r"))
	end
	
	-- Kaliel's Tracker
	if IsAddOnLoaded('!KalielsTracker') then
		mMT:LoadKalielsTrackerProfile()
		E:Print(format(L["%s profile has been set."], "> Kaliel's Tracker"))
	end
end